cURL
curl --request PATCH \
--url https://app.teable.ai/api/base/%7BbaseId%7D/collaborators \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"principalId":"string","principalType":"user","role":"creator"}'base
Patch base collaborators
Update a base collaborator
PATCH
/
base
/
{baseId}
/
collaborators
cURL
curl --request PATCH \
--url https://app.teable.ai/api/base/%7BbaseId%7D/collaborators \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"principalId":"string","principalType":"user","role":"creator"}'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Successful response.
Last modified on March 5, 2026
Was this page helpful?
⌘I

